Module tdlight.api
Package it.tdlight.jni

# Class TdApi.EditStory

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.EditStory

Enclosing class:
  TdApi

public static final class TdApi.EditStory extends TdApi.Function<TdApi.Ok>
Changes content and caption of a story. Can be called only if story.canBeEdited == true.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.InputStoryAreas`
`areas`
New clickable rectangle areas to be shown on the story media; pass null to keep the current areas.
`TdApi.FormattedText`
`caption`
New story caption; pass null to keep the current caption.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.InputStoryContent`
`content`
New content of the story; pass null to keep the current content.
`int`
`storyId`
Identifier of the story to edit.
`long`
`storySenderChatId`
Identifier of the chat that posted the story.

## Constructor Summary

Constructors
Constructor
Description
`EditStory()`
Changes content and caption of a story.
`EditStory(long storySenderChatId, int storyId, TdApi.InputStoryContent content, TdApi.InputStoryAreas areas, TdApi.FormattedText caption)`
Changes content and caption of a story.
`EditStory(DataInput input)`
Changes content and caption of a story.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### storySenderChatId

public long storySenderChatId
Identifier of the chat that posted the story.

### storyId

public int storyId
Identifier of the story to edit.

### content

public TdApi.InputStoryContent content
New content of the story; pass null to keep the current content.

### areas

public TdApi.InputStoryAreas areas
New clickable rectangle areas to be shown on the story media; pass null to keep the current areas. Areas can't be edited if story content isn't changed.

### caption

public TdApi.FormattedText caption
New story caption; pass null to keep the current caption.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### EditStory

public EditStory()
Changes content and caption of a story. Can be called only if story.canBeEdited == true.

Returns `Ok`

### EditStory

public EditStory(long storySenderChatId, int storyId, TdApi.InputStoryContent content, TdApi.InputStoryAreas areas, TdApi.FormattedText caption)
Changes content and caption of a story. Can be called only if story.canBeEdited == true.

Returns `Ok`

Parameters:
  `storySenderChatId` - Identifier of the chat that posted the story.
  `storyId` - Identifier of the story to edit.
  `content` - New content of the story; pass null to keep the current content.
  `areas` - New clickable rectangle areas to be shown on the story media; pass null to keep the current areas. Areas can't be edited if story content isn't changed.
  `caption` - New story caption; pass null to keep the current caption.

  Returns `Ok`

### EditStory

public EditStory(DataInput input) throws IOException
Changes content and caption of a story. Can be called only if story.canBeEdited == true.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`